#!/bin/bash
mvn deploy:deploy-file -DpomFile=lib/asm.pom -Dfile=lib/asm.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-analysis.pom -Dfile=lib/asm-analysis.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-commons.pom -Dfile=lib/asm-commons.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-tree.pom -Dfile=lib/asm-tree.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-util.pom -Dfile=lib/asm-util.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-xml.pom -Dfile=lib/asm-xml.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -DpomFile=lib/asm-all.pom -Dfile=lib/asm-all.jar -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
mvn deploy:deploy-file -Dfile=lib/asm-parent.pom -DgroupId=org.objectweb.asm -DartifactId=asm-parent -Dpackaging=pom -Durl=file://$1 -Dversion=`pwd|xargs basename|sed -e "s:-brew::"`
